Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Headers

Idempotency-Key
string
required
Required string length: 1 - 255

Path Parameters

deviceId
string
required

Body

application/json
expiresInSeconds
integer<int64>
default:3600
Required range: 60 <= x <= 14400
maxBodyBytes
integer<int64>
default:1048576
Required range: 0 <= x <= 10485760

Response

Accepted

createdAt
string<date-time>
required
deviceId
string
required
expiresAt
string<date-time>
required
id
string
required
maxBodyBytes
integer<int64>
required
retention
enum<string>
required
Available options:
none
state
enum<string>
required
Available options:
starting,
active,
stopping,
stopped,
failed,
expired
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/Session.json"

error
object
startedAt
string<date-time>
stoppedAt
string<date-time>
stream
object